bootresources.yaml references daily builds for trusty

Bug #1306701 reported by Scott Moser on 2014-04-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MAAS
High
Unassigned
maas (Ubuntu)
Critical
Unassigned

Bug Description

The current packaged version of /etc/maas/bootresources.yaml references daily builds of trusty.
This is because until recently there was nothing marked 'release' (because release wasn't done yet).

Having the daily stream installed by default is not acceptable as the daily builds will not recieve the same level of testing as the released builds.

The fix is a config file change only and the upstream commit is at
http://bazaar.launchpad.net/~maas-maintainers/maas/trunk/revision/2254

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: maas-cluster-controller 1.5+bzr2236-0ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-22.44-generic 3.13.8
Uname: Linux 3.13.0-22-generic x86_64
ApportVersion: 2.14.1-0ubuntu2
Architecture: amd64
Date: Fri Apr 11 16:55:54 2014
InstallationDate: Installed on 2014-03-13 (28 days ago)
InstallationMedia: Ubuntu-Server 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140313)
PackageArchitecture: all
SourcePackage: maas
UpgradeStatus: No upgrade log present (probably fresh install)
modified.conffile..etc.maas.maas.cluster.conf: [inaccessible: [Errno 13] Permission denied: '/etc/maas/maas_cluster.conf']
modified.conffile..etc.maas.maas.local.celeryconfig.cluster.py: [inaccessible: [Errno 13] Permission denied: '/etc/maas/maas_local_celeryconfig_cluster.py']
modified.conffile..etc.maas.pserv.yaml: [modified]
modified.conffile..etc.maas.templates.pxe.config.commissioning.template: [modified]
modified.conffile..etc.sudoers.d.99.maas.sudoers: [inaccessible: [Errno 13] Permission denied: '/etc/sudoers.d/99-maas-sudoers']
mtime.conffile..etc.maas.bootresources.yaml: 2014-04-11T15:27:02.782752
mtime.conffile..etc.maas.pserv.yaml: 2014-04-11T16:54:00.051030
mtime.conffile..etc.maas.templates.pxe.config.commissioning.template: 2014-04-09T19:40:57.842386
upstart.isc-dhcp-server.override: manual

Related branches

Scott Moser (smoser) wrote :
Changed in maas:
status: New → Fix Committed
importance: Undecided → High
Scott Moser (smoser) wrote :

This was fix-committed to trunk at revno 2241.

Changed in maas (Ubuntu):
status: New → Triaged
importance: Undecided → Critical
Scott Moser (smoser) on 2014-04-11
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maas - 1.5+bzr2252-0ubuntu1

---------------
maas (1.5+bzr2252-0ubuntu1) trusty; urgency=medium

  * New upstream release
    - Add support to install Third Party Drivers. In order for this to be
      used the user will have to go to the Settings page to enable the
      installation of these drivers. (LP: #1305839)
    - Use release images instead of daily. (LP: #1306701)
    - Quote interface name in dhcpd.template, otherwise DHCP server fails
      to start. (LP: #1306335)
    - Fix IntegrityError, when multiple processes are trying to register
      the same component. (LP: #1307415)
    - Add missing armhf commissioning template (LP: #1307780)
  * debian/maas-region-controller-min.install: Install drivers.yaml.
  * debian/maas-region-controller.postinst: No longer show the
    installation note by default. (LP: #1284652)
 -- Andres Rodriguez <email address hidden> Wed, 09 Apr 2014 19:02:00 -0400

Changed in maas (Ubuntu):
status: Triaged → Fix Released
Changed in maas:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers